/*:
# **Kapitel 4.6**
## Einstieg
*/

/**
Einfacher Zähler
 
- author: Albert Wiedemann
- version: 1.0
*/
class Zähler: Text
{
    var zähler: Int

    /**
    Gestaltet den Text.
    */
    override init ()
    {
        zähler = 0
        super.init()
        PositionSetzen(x: 200, y: 50)
        TextGrößeSetzen(größe: 18)
        TextSetzen(text: "\(zähler)")
    }
    
    /**
    Zählt.
    */
    func Zählen()
    {
        zähler = zähler + 1;
        TextSetzen(text: "\(zähler)")
    }
}

/*:
Ob Kilometer-, Betriebsstunden-, Puls- oder Schrittzähler, Zähler kommen in vielen technischen Geräten vor.\
a\
Erkunde in dem Projekt Zähler, welches Attribut für das Zählen verwendet wird und in welcher Zeile es erhöht wird.\
b\
Finde weiter heraus, in welcher Methode die Anfangswerte für die Anzeige des Zählerstandes und der
Anfangswert für den Zähler festgelegt werden.\
c\
Wenn du ein Objekt der Klasse ZÄHLER erzeugst, musst du die in b) gefundene Methode nicht selbst aufrufen,
trotzdem wird der Text so wie angegeben dargestellt. Stelle eine Vermutung auf, warum du diese Methode
nicht aufrufen musst.\
d\
Der Kopf der in b) gefundenen Methode sieht ungewöhnlich aus. Nenne die Unterschiede zu einem „typischen“ Methodenkopf.*/
//#-editable-code
let z = Zähler()
z.Zählen()
//#-end-editable-code
