/*:
# **Kapitel 4.6**
## Aufgabe 5 Einfache Grafik – Haus mit Fertigteilen
*/

/**
Erzeugt das Dreieck für das Dach des Hauses.
 
- author: Albert Wiedemann
- version: 1.0
*/
class Dach: Dreieck
{
    /**
    Legt Position, Größe und Farbe fest
    */
    override init ()
    {
    	super.init()
        PositionSetzen(x: 90, y: 40)
        GrößeSetzen(breite: 140, höhe: 80)
        FarbeSetzen(farbe: "rot")
    }
}

/**
Erzeugt das Rechteck für die Wand des Hauses.
 
- author: Albert Wiedemann
- version: 1.0
*/
class Wand: Rechteck
{
    /**
    Legt Position, Größe und Farbe fest
    */
    override init ()
    {
    	super.init()
        PositionSetzen(x: 20, y: 120)
        GrößeSetzen(breite: 140, höhe: 140)
        FarbeSetzen(farbe: "hellgrün")
    }
}


/**
Erstellt das Haus
 
- author: Albert Wiedemann
- version: 1.0
*/
class Haus
{
    /**
    Baut das Haus auf
    */
    init ()
    {
        Wand()
        Dach()
        // Hierher kommen noch die Fenster
//#-editable-code


//#-end-editable-code
    }
}
/*:
Beim Erstellen des nebenstehenden Hauses müssen vier Rechtecke gleicher Größe
und Farbe (Fenster) erzeugt werden.\
a\
Erstelle eine Klasse FENSTER, die von der Klasse RECHTECK erbt und erstelle in ihr
einen Konstruktor, der Fenster mit der Größe 30 x 30 und der Farbe „gelb“ erstellt.\
b\
Wie alle Methoden können auch Konstruktoren Parameter haben. Ergänze in
FENSTER einen weiteren Konstruktor, der zusätzlich die Position des Fensters angeben lässt.\
c\
Überschreibe die Methode *FarbeSetzen* so, dass die Farbe des Fensters damit nicht
verändert werden kann. Ergänze zwei weitere Methoden *NachtSetzen()* bzw.
*TagSetzen()*, die ein Fenster schwarz bzw. gelb einfärben.*/
//#-editable-code


//#-end-editable-code

//#-editable-code
let haus = Haus()
//#-end-editable-code
        
