/*:
# **Kapitel 4.6**
## Aufgabe 4 Regentropfen (Teil 3)
*/
/*:
a\
Ergänze die Klasse REGENTROPFEN um einen Konstruktor, in dem der Tropfen in geeigneter Fallhöhe positioniert
und in dem sichergestellt wird, dass die Tropfen¬form fest gelegt wird und Bewegungsrichtung nach unten zeigt.\
b\
Schöner als an einer gedachten Linie aufzuprallen ist es, wenn der Regentropfen am Boden aufprallt. Erstelle eine
Klasse BODEN als Unterklasse von RECHTECK, die ein schwarzes, fünf Einheiten hohes Rechteck an der Position
des Bodens erzeugt. Ändere die Methode AktionAusführen in der Klasse REGENTROPFEN so ab, dass der
Regentropfen zur Pfütze wird und nicht mehr fällt, wenn er den (schwarzen) Boden berührt.\
c\
Auch das Flachwerden des Regentropfens lässt sich noch einbauen, indem du ein flaches (fünfzehn Einheiten
hohes), weißes – also fast unsichtbares – Rechteck direkt über dem Boden erzeugst (Klasse VORBODEN) und
den Tropfen beim Berühren dieses „Vorbodens“ flach werden lässt.\
d\
Um nicht immer drei Objekte erzeugen zu müssen, kannst du die Objekte der Klasse BODEN und VORBODEN
auch im Konstruktor des Regentropfens erstellen.*/
/**
Stellt einen Regentropfen in seinen verschiedenen Phasen dar.

- author: Albert Wiedemann
- version: 1.0
 */
class RegenTropfen: Figur
{
//#-editable-code



    /**
    Stellt den Regentropfen im Fall dar
    */
    func FigurTropfenFestlegen()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenDreieck(x1: -50, y1: 0, x2: 30, y2: -30, x3: 30, y3: 30, farbe: "blau")
        self.FigurteilFestlegenEllipse(x: 10, y: -30, breite: 40, höhe: 60, farbe: "blau")
    }

    /**
    Stellt den Regentropfen während des Aufpralls dar
    */
    func FlachWerden()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenDreieck(x1: -50, y1: 0, x2: 30, y2: -30, x3: 30, y3: 30, farbe: "blau")
        self.FigurteilFestlegenRechteck(x: 30, y: -45, breite: 15, höhe: 90, farbe: "blau")
    }

    /**
    Stellt den Regentropfen als Pfütze dar
    */
    func PfützeWerden()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenRechteck(x: 30, y: -45, breite: 15, höhe: 90, farbe: "blau")
    }
    /**
    Methode wird aufgerufen, wenn die Figur handeln soll.
    */
    override func AktionAusführen()
    {
        WinkelSetzen(winkel: 270)
        if YPositionGeben() < 520 - 20
        {
            FigurTropfenFestlegen()
            Gehen(länge: 10)
        }
        else
        {
            if YPositionGeben() < 520 - 5
            {
                FlachWerden()
                Gehen(länge: 5)
            }
            else
            {
                PfützeWerden()
            }
        }
    }
//#-end-editable-code
}
//#-editable-code


//#-end-editable-code

//#-editable-code
let tropfen = RegenTropfen()
//#-end-editable-code
        
